Game Develop Core: gd::VariableParserCallbacks Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::VariableParserCallbacks Class Referenceabstract

Callbacks called by VariableParser when parsing a variable expression. More...

`#include <VariableParser.h>`

## Public Member Functions

virtual void | OnRootVariable (std::string variableName)=0
| Called when the first variable has been parsed. ( varName1 in varName1.child for example. ) More...
virtual void | OnChildVariable (std::string variableName)=0
| Called when accessing the child of a structure variable. ( child in varName1.child for example. ) More...
virtual void | OnChildSubscript (std::string stringExpression)=0
| Called when accessing the child of a structure variable using a string expression in square brackets. ( "subscript" in varName1["subscript"] for example. ) More...

## Detailed Description

Callbacks called by VariableParser when parsing a variable expression.

## Member Function Documentation

virtual void gd::VariableParserCallbacks::OnChildSubscript | ( | std::string | stringExpression) |  |

pure virtual

Called when accessing the child of a structure variable using a string expression in square brackets. ( "subscript" in varName1["subscript"] for example. )

Parameters

  variableName | The expression used to access the child variable.

virtual void gd::VariableParserCallbacks::OnChildVariable | ( | std::string | variableName) |  |

pure virtual

Called when accessing the child of a structure variable. ( child in varName1.child for example. )

Parameters

  variableName | The child variable name.

virtual void gd::VariableParserCallbacks::OnRootVariable | ( | std::string | variableName) |  |

pure virtual

Called when the first variable has been parsed. ( varName1 in varName1.child for example. )

Parameters

  variableName | The variable name.

The documentation for this class was generated from the following file:

- VariableParser.h